"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FluentAdFlowWidget = void 0;
Object.defineProperty(exports, "FluentAdFlowWidgetView", {
  enumerable: true,
  get: function () {
    return _fluentAdflowWidget.FluentAdFlowWidgetView;
  }
});
var _reactNative = require("react-native");
var _fluentAdflowWidget = require("./fluent-adflow-widget");
var _DebugLogger = _interopRequireDefault(require("./DebugLogger"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
// Safely access FluentAdFlowSdkManager
const FluentAdFlowSdkManager = _reactNative.NativeModules.FluentAdFlowSdkManager || {
  initSdk: () => {
    _DebugLogger.default.logMessage('FluentAdFlowSdkManager is not available.');
    return Promise.reject(new Error('FluentAdFlowSdkManager is not available.'));
  }
};
class FluentAdFlowWidget {
  /**
   * Initialize the FluentAdFlow SDK.
   * @param {string} apiKey - API key for initialization.
   * @param {string} [referrer] - Optional referrer value.
   */
  static init(apiKey, referrer) {
    return FluentAdFlowSdkManager.initSdk(apiKey, referrer);
  }
}
exports.FluentAdFlowWidget = FluentAdFlowWidget;
//# sourceMappingURL=index.js.map